### Method

# Shumate MapSource get_longitude

#### Declaration [src]

    double
    shumate_map_source_get_longitude (
      ShumateMapSource* map_source,
      double zoom_level,
      double x
    )

#### Description [src]

Gets the longitude corresponding to this x position in the map source’s projection.

#### Parameters

`zoom_level`

  Type: `double`

  The zoom level.

`x`

  Type: `double`

  A x position.

#### Return value

Type: `double`

The longitude.